summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorJames Smith2019-05-13 00:03:29 -0500
committerJames Smith2019-05-13 00:03:29 -0500
commit6c8893a2c1eb32cb05633375370d50f39f14db98 (patch)
tree5877e6b6a3592f7c8ca5eadd6e752ace375c1d94
parent893d9c44e12179e17e422052c91ef83d7e1287a8 (diff)
downloadaur-6c8893a2c1eb32cb05633375370d50f39f14db98.tar.gz
Added install file for post-install instructions
-rw-r--r--.SRCINFO1
-rw-r--r--PKGBUILD9
-rw-r--r--emacs-libvterm-git.install7
3 files changed, 13 insertions, 4 deletions
diff --git a/.SRCINFO b/.SRCINFO
index 1483d54d4e8..3362f92535c 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -3,6 +3,7 @@ pkgbase = emacs-libvterm-git
pkgver = r203.db9679d
pkgrel = 1
url = https://github.com/akermu/emacs-libvterm
+ install = emacs-libvterm-git.install
arch = i686
arch = x86_64
arch = armv7h
diff --git a/PKGBUILD b/PKGBUILD
index 6373d94dbdb..0d509596715 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -5,13 +5,14 @@ pkgver=r203.db9679d
pkgrel=1
pkgdesc="Emacs libvterm integration"
arch=('i686' 'x86_64' 'armv7h' 'pentium4')
-url=https://github.com/akermu/${_pkgname}
+url="https://github.com/akermu/${_pkgname}"
license=('GPL3')
depends=('emacs')
makedepends=('cmake')
provides=('emacs-libvterm')
conflicts=('emacs-libvterm')
-source=(git+${url}.git)
+install=${pkgname}.install
+source=("git+${url}.git")
sha256sums=('SKIP')
pkgver() {
@@ -35,6 +36,6 @@ package() {
#make DESTDIR="${pkgdir}/" install
# No install target currently, so must install manually
# Also, vterm-module.so must be in the same directory as vterm.el
- install -Dm644 vterm-module.so ${pkgdir}/usr/share/emacs/site-lisp/vterm-module.so
- install -Dm644 vterm.el ${pkgdir}/usr/share/emacs/site-lisp/vterm.el
+ install -Dm644 "vterm-module.so" "${pkgdir}/usr/share/emacs/site-lisp/vterm-module.so"
+ install -Dm644 "vterm.el" "${pkgdir}/usr/share/emacs/site-lisp/vterm.el"
}
diff --git a/emacs-libvterm-git.install b/emacs-libvterm-git.install
new file mode 100644
index 00000000000..b375c898e99
--- /dev/null
+++ b/emacs-libvterm-git.install
@@ -0,0 +1,7 @@
+post_install() {
+ cat << EOF
+==> Add this to your emacs init file to enable loading:
+
+(require 'vterm)
+EOF
+}